<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:13 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>Logger (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Logger (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/api/logging/Logging.html" title="class in org.gradle.api.logging"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/logging/Logger.html" target="_top">Frames</a></li>
<li><a href="Logger.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.logging</div>
<h2 title="Interface Logger" class="title">Interface Logger</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.slf4j.Logger</dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">Logger</span>
extends org.slf4j.Logger</pre>
<div class="block"><p>An extension to the SLF4J <code>Logger</code> interface, which adds the <code>quiet</code> and <code>lifecycle</code> log
 levels.</p>

 <p>You can obtain a <code>Logger</code> instance using <a href="../../../../org/gradle/api/logging/Logging.html#getLogger(java.lang.Class)"><code>Logging.getLogger(Class)</code></a> or <a href="../../../../org/gradle/api/logging/Logging.html#getLogger(java.lang.String)"><code>Logging.getLogger(String)</code></a>. A <code>Logger</code> instance is also available through <a href="../../../../org/gradle/api/Project.html#getLogger()"><code>Project.getLogger()</code></a>, <a href="../../../../org/gradle/api/Task.html#getLogger()"><code>Task.getLogger()</code></a> and <a href="../../../../org/gradle/api/Script.html#getLogger()"><code>Script.getLogger()</code></a>.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.slf4j.Logger">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;org.slf4j.Logger</h3>
<code>ROOT_LOGGER_NAME</code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#debug(java.lang.String,%20java.lang.Object...)">debug</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
     <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;objects)</code>
<div class="block">Multiple-parameters friendly debug method</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#info(java.lang.String,%20java.lang.Object...)">info</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
    <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;objects)</code>
<div class="block">Logs the given message at info log level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#isEnabled(org.gradle.api.logging.LogLevel)">isEnabled</a></strong>(<a href="../../../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;level)</code>
<div class="block">Returns true if the given log level is enabled for this logger.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#isLifecycleEnabled()">isLifecycleEnabled</a></strong>()</code>
<div class="block">Returns true if lifecycle log level is enabled for this logger.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#isQuietEnabled()">isQuietEnabled</a></strong>()</code>
<div class="block">Returns true if quiet log level is enabled for this logger.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#lifecycle(java.lang.String)">lifecycle</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Logs the given message at lifecycle log level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#lifecycle(java.lang.String,%20java.lang.Object...)">lifecycle</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;objects)</code>
<div class="block">Logs the given message at lifecycle log level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#lifecycle(java.lang.String,%20java.lang.Throwable)">lifecycle</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;throwable)</code>
<div class="block">Logs the given message at lifecycle log level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#log(org.gradle.api.logging.LogLevel,%20java.lang.String)">log</a></strong>(<a href="../../../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;level,
   <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Logs the given message at the given log level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#log(org.gradle.api.logging.LogLevel,%20java.lang.String,%20java.lang.Object...)">log</a></strong>(<a href="../../../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;level,
   <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
   <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;objects)</code>
<div class="block">Logs the given message at the given log level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#log(org.gradle.api.logging.LogLevel,%20java.lang.String,%20java.lang.Throwable)">log</a></strong>(<a href="../../../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;level,
   <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
   <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;throwable)</code>
<div class="block">Logs the given message at the given log level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#quiet(java.lang.String)">quiet</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</code>
<div class="block">Logs the given message at quiet log level.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#quiet(java.lang.String,%20java.lang.Object...)">quiet</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
     <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;objects)</code>
<div class="block">Logs the given message at quiet log level.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/logging/Logger.html#quiet(java.lang.String,%20java.lang.Throwable)">quiet</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
     <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;throwable)</code>
<div class="block">Logs the given message at quiet log level.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.slf4j.Logger">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.slf4j.Logger</h3>
<code>debug, debug, debug, debug, debug, debug, debug, debug, debug, error, error, error, error, error, error, error, error, error, error, getName, info, info, info, info, info, info, info, info, info, isDebugEnabled, isDebugEnabled, isErrorEnabled, isErrorEnabled, isInfoEnabled, isInfoEnabled, isTraceEnabled, isTraceEnabled, isWarnEnabled, isWarnEnabled, trace, trace, trace, trace, trace, trace, trace, trace, trace, trace, warn, warn, warn, warn, warn, warn, warn, warn, warn, warn</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="isLifecycleEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLifecycleEnabled</h4>
<pre>boolean&nbsp;isLifecycleEnabled()</pre>
<div class="block">Returns true if lifecycle log level is enabled for this logger.</div>
</li>
</ul>
<a name="debug(java.lang.String, java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>debug</h4>
<pre>void&nbsp;debug(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;objects)</pre>
<div class="block">Multiple-parameters friendly debug method</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>debug</code>&nbsp;in interface&nbsp;<code>org.slf4j.Logger</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>message</code> - the log message</dd><dd><code>objects</code> - the log message parameters</dd></dl>
</li>
</ul>
<a name="lifecycle(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lifecycle</h4>
<pre>void&nbsp;lifecycle(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Logs the given message at lifecycle log level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>message</code> - the log message.</dd></dl>
</li>
</ul>
<a name="lifecycle(java.lang.String, java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lifecycle</h4>
<pre>void&nbsp;lifecycle(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
             <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;objects)</pre>
<div class="block">Logs the given message at lifecycle log level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>message</code> - the log message.</dd><dd><code>objects</code> - the log message parameters.</dd></dl>
</li>
</ul>
<a name="lifecycle(java.lang.String, java.lang.Throwable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lifecycle</h4>
<pre>void&nbsp;lifecycle(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
             <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;throwable)</pre>
<div class="block">Logs the given message at lifecycle log level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>message</code> - the log message.</dd><dd><code>throwable</code> - the exception to log.</dd></dl>
</li>
</ul>
<a name="isQuietEnabled()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isQuietEnabled</h4>
<pre>boolean&nbsp;isQuietEnabled()</pre>
<div class="block">Returns true if quiet log level is enabled for this logger.</div>
</li>
</ul>
<a name="quiet(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>quiet</h4>
<pre>void&nbsp;quiet(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Logs the given message at quiet log level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>message</code> - the log message.</dd></dl>
</li>
</ul>
<a name="quiet(java.lang.String, java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>quiet</h4>
<pre>void&nbsp;quiet(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;objects)</pre>
<div class="block">Logs the given message at quiet log level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>message</code> - the log message.</dd><dd><code>objects</code> - the log message parameters.</dd></dl>
</li>
</ul>
<a name="info(java.lang.String, java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>info</h4>
<pre>void&nbsp;info(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;objects)</pre>
<div class="block">Logs the given message at info log level.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>info</code>&nbsp;in interface&nbsp;<code>org.slf4j.Logger</code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>message</code> - the log message.</dd><dd><code>objects</code> - the log message parameters.</dd></dl>
</li>
</ul>
<a name="quiet(java.lang.String, java.lang.Throwable)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>quiet</h4>
<pre>void&nbsp;quiet(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
         <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;throwable)</pre>
<div class="block">Logs the given message at quiet log level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>message</code> - the log message.</dd><dd><code>throwable</code> - the exception to log.</dd></dl>
</li>
</ul>
<a name="isEnabled(org.gradle.api.logging.LogLevel)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnabled</h4>
<pre>boolean&nbsp;isEnabled(<a href="../../../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;level)</pre>
<div class="block">Returns true if the given log level is enabled for this logger.</div>
</li>
</ul>
<a name="log(org.gradle.api.logging.LogLevel, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>log</h4>
<pre>void&nbsp;log(<a href="../../../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;level,
       <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message)</pre>
<div class="block">Logs the given message at the given log level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>level</code> - the log level.</dd><dd><code>message</code> - the log message.</dd></dl>
</li>
</ul>
<a name="log(org.gradle.api.logging.LogLevel, java.lang.String, java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>log</h4>
<pre>void&nbsp;log(<a href="../../../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;level,
       <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
       <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;objects)</pre>
<div class="block">Logs the given message at the given log level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>level</code> - the log level.</dd><dd><code>message</code> - the log message.</dd><dd><code>objects</code> - the log message parameters.</dd></dl>
</li>
</ul>
<a name="log(org.gradle.api.logging.LogLevel, java.lang.String, java.lang.Throwable)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>log</h4>
<pre>void&nbsp;log(<a href="../../../../org/gradle/api/logging/LogLevel.html" title="enum in org.gradle.api.logging">LogLevel</a>&nbsp;level,
       <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;message,
       <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Throwable.html?is-external=true" title="class or interface in java.lang">Throwable</a>&nbsp;throwable)</pre>
<div class="block">Logs the given message at the given log level.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>level</code> - the log level.</dd><dd><code>message</code> - the log message.</dd><dd><code>throwable</code> - the exception to log.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev Class</li>
<li><a href="../../../../org/gradle/api/logging/Logging.html" title="class in org.gradle.api.logging"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/logging/Logger.html" target="_top">Frames</a></li>
<li><a href="Logger.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
